#!/bin/bash

prefix=lol
token=toto
ui_port=9000

docker run --rm -it \
    -p "$ui_port:$ui_port" \
    -e _JAVA_OPTIONS='-Djava.net.preferIPv6Addresses=true' \
    -v "$HOME/Downloads/qbittorrent/ratiomaster:/joal/torrents/" \
    --name="ratiomaster" s8n02/joal \
    --joal-conf="/joal" \
    --spring.main.web-environment=true \
    --server.port="$ui_port" \
    --joal.ui.path.prefix="$prefix" \
    --joal.ui.secret-token="$token"

echo "Go to http://localhost:$ui_port/$prefix/ui"
echo "And set settings to connect. prefix=$prefix token=$token"
